Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Writer Class Reference

ライタ More...

`#include <Writer.h>`

Inheritance diagram for Lamp::Writer:

List of all members.

## Public Member Functions
void | writeBytes (const void *data, int size)
| バイトデータの書き出し
int | getSize ()
| サイズの取得
void | skip (int size)
| スキップ
int | align (int size)
| アライメントを取る
void | flush ()
| フラッシュ
int | getPosition ()
| 書き込み位置の取得
void | setPosition (int position)
| 書き込み位置の設定
## Protected Member Functions
| Writer ()
| コンストラクタ
virtual | ~Writer ()
| デストラクタ
## Protected Attributes
OutputStream * | stream_
| 出力ストリーム

## Detailed Description

ライタ

データ書き出しのインターフェース

Definition at line 38 of file Writer.h.

## Member Function Documentation

int Lamp::Writer::align | ( | int | size | ) | `[inline]`

  | アライメントを取る 指定されたバイト数のアライメントまで0を書き出します。 Parameters:
  size | アライメントをとるバイト数
Returns: 0を書き出したバイト数 Definition at line 77 of file Writer.h. References Lamp::OutputStream::align(), Assert, NULL, and stream_. Referenced by Lamp::BinarySceneSaver::align(), and Lamp::BinaryAnimationSaver::align().

void Lamp::Writer::flush | ( |  | ) | `[inline]`

| フラッシュ ストリームをフラッシュします。 Definition at line 87 of file Writer.h. References Assert, Lamp::OutputStream::flush(), NULL, and stream_. Referenced by Lamp::LampInput::endLogging(), Lamp::Logger::flush(), and Lamp::Logger::~Logger().

int Lamp::Writer::getPosition | ( |  | ) | `[inline]`

| 書き込み位置の取得 Returns: 書き込み位置 Definition at line 96 of file Writer.h. References Assert, Lamp::OutputStream::getPosition(), NULL, and stream_. Referenced by Lamp::BinarySceneSaver::endBlock(), Lamp::BinaryAnimationSaver::endBlock(), Lamp::BinarySceneSaver::startBlock(), and Lamp::BinaryAnimationSaver::startBlock().

int Lamp::Writer::getSize | ( |  | ) | `[inline]`

| サイズの取得 Returns: 書き込んだバイト数 Definition at line 54 of file Writer.h. References Assert, Lamp::OutputStream::getSize(), NULL, and stream_.

void Lamp::Writer::setPosition | ( | int | position | ) | `[inline]`

  | 書き込み位置の設定 指定された位置に書き込み位置を変更します。 Parameters:
  position | 書き込み位置
Definition at line 107 of file Writer.h. References Assert, NULL, Lamp::OutputStream::setPosition(), and stream_. Referenced by Lamp::BinarySceneSaver::endBlock(), and Lamp::BinaryAnimationSaver::endBlock().

void Lamp::Writer::skip | ( | int | size | ) | `[inline]`

  | スキップ 指定されたバイト数、0を書き出します。 Parameters:
  size | 0を書き出すバイト数
Definition at line 65 of file Writer.h. References Assert, NULL, Lamp::OutputStream::skip(), and stream_.

void Lamp::Writer::writeBytes | ( | const void * | data,
|  | int | size
| ) | `[inline]`

  | バイトデータの書き出し Parameters:
  data | 書き出すバイトデータ
  size | 書き出すサイズ
Definition at line 45 of file Writer.h. References Assert, NULL, stream_, and Lamp::OutputStream::writeBytes(). Referenced by Lamp::TargaSaver::save(), Lamp::BinaryWriter::writeArray(), Lamp::BinarySceneSaver::writeAxisAlignedBox(), Lamp::BinaryWriter::writeBool(), Lamp::BinaryWriter::writeChar(), Lamp::BinarySceneSaver::writeColor3f(), Lamp::BinarySceneSaver::writeColor4c(), Lamp::BinarySceneSaver::writeColor4f(), Lamp::BinaryWriter::writeDouble(), Lamp::BinaryWriter::writeFloat(), Lamp::TargaSaver::writeFooter(), Lamp::BinarySceneSaver::writeID(), Lamp::BinaryWriter::writeInt(), Lamp::BinarySceneSaver::writeMatrix34(), Lamp::BinarySceneSaver::writeMeshData(), Lamp::BinaryAnimationSaver::writeQuaternion(), Lamp::BinaryWriter::writeShort(), Lamp::BinarySceneSaver::writeSphere(), Lamp::BinaryWriter::writeString(), Lamp::BinarySceneSaver::writeString(), Lamp::BinaryAnimationSaver::writeString(), Lamp::BinarySceneSaver::writeTexCoord2(), Lamp::TextWriter::writeText(), Lamp::BinaryWriter::writeUChar(), Lamp::BinaryWriter::writeUInt(), Lamp::BinaryWriter::writeUShort(), Lamp::BinarySceneSaver::writeVector3(), and Lamp::BinaryAnimationSaver::writeVector3().

The documentation for this class was generated from the following file:

- Writer.h